# Projection Class Reference
[Object queries API]

Inheritance diagram for Projection:
[legend]

List of all members.

## Static Public Member Functions

static | sum ($property, $alias=null)
static | avg ($property, $alias=null)
static | mappable (MappableObject $object, $alias=null)
static | min ($property, $alias=null)
static | max ($property, $alias=null)
static | property ($property, $alias=null)
static | count ($property=null, $alias=null)
static | distinctCount ($property=null, $alias=null)
static | chain ()
static | group ($property)
static | groupByClass ($class)
static | having (LogicalObject $logic)
static | clazz ($className)

## Detailed Description

See also:
  http://www.hibernate.org/hib_docs/v3/reference/en/html/querycriteria.html#querycriteria-projection

Definition at line 17 of file Projection.class.php.

## Member Function Documentation

static Projection::avg | ( | $ | property,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  AverageNumberProjection

Definition at line 30 of file Projection.class.php.

static Projection::chain | ( |  | ) | `[static]`

Returns:
  ProjectionChain

Definition at line 86 of file Projection.class.php.

Referenced by Criteria::__construct(), Criteria::dropProjection(), Criteria::setProjection(), and OqlProjectionClause::toProjection().

static Projection::clazz | ( | $ | className | ) | `[static]`

Returns:
  ClassProjection

Definition at line 118 of file Projection.class.php.

static Projection::count | ( | $ | property = `null`,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  RowCountProjection

Definition at line 70 of file Projection.class.php.

static Projection::distinctCount | ( | $ | property = `null`,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  DistinctCountProjection

Definition at line 78 of file Projection.class.php.

static Projection::group | ( | $ | property | ) | `[static]`

Returns:
  GroupByPropertyProjection

Definition at line 94 of file Projection.class.php.

static Projection::groupByClass | ( | $ | class | ) | `[static]`

Returns:
  GroupByClassProjection

Definition at line 102 of file Projection.class.php.

static Projection::having | ( | LogicalObject $ | logic | ) | `[static]`

Returns:
  HavingProjection

Definition at line 110 of file Projection.class.php.

static Projection::mappable | ( | MappableObject $ | object,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  MappableObjectProjection

Definition at line 38 of file Projection.class.php.

static Projection::max | ( | $ | property,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  MaximalNumberProjection

Definition at line 54 of file Projection.class.php.

static Projection::min | ( | $ | property,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  MinimalNumberProjection

Definition at line 46 of file Projection.class.php.

static Projection::property | ( | $ | property,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  PropertyProjection

Definition at line 62 of file Projection.class.php.

static Projection::sum | ( | $ | property,
|  | $ | alias = `null` |
| ) |  |  | `[static]`

Returns:
  SumProjection

Definition at line 22 of file Projection.class.php.

The documentation for this class was generated from the following file:

- main/Criteria/Projection.class.php